summaryrefslogtreecommitdiffstats
path: root/source/a/cryptsetup
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/cryptsetup
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/cryptsetup')
-rw-r--r--source/a/cryptsetup/cryptsetup-1.7.1.tar.sign17
-rwxr-xr-xsource/a/cryptsetup/cryptsetup.SlackBuild14
-rw-r--r--source/a/cryptsetup/slack-desc2
3 files changed, 25 insertions, 8 deletions
diff --git a/source/a/cryptsetup/cryptsetup-1.7.1.tar.sign b/source/a/cryptsetup/cryptsetup-1.7.1.tar.sign
new file mode 100644
index 000000000..11dcc071c
--- /dev/null
+++ b/source/a/cryptsetup/cryptsetup-1.7.1.tar.sign
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQIcBAABCAAGBQJW0vkJAAoJENmwV3vZPpj8aK4P/iU9gAadERsXEu7LkSYUhDhy
+PIQCpxl1ozRJZ6XaXKUeJi2EmB5TM9tCZeO8koVDet2wDRqJa6TCH1WHQijTJdnr
+XeEbuPEiX7n5g8GKsefu6lIZMY9NKnOsUoTD89PVMw2qzt78WbIKGh52t6QJUatk
+s+Ic8uKXUGzYGT735D8N2NVsaT+QpNgNMYaI92iU6jpFbtP5OSQU+3cFJSMSO8S2
+YqeLXAXnJ3mZl0koSqTSjgs+5b4+4Nv0mou/rYUOdg4h1vQiePvDOdTRye+/RQSG
+077X94M0w/GalSy8kzDiAZU7yC4H5WQDJQoy10ePJmPYhfo5MChmvMEtTkiiqEi7
+PMuoG1r77Dj/7x2VY4s4XY4ePCEEtBu2IEPzmJZPxM6oN6NPhBzPCctR4Ybn+d3o
+8x2vKVTkfqQAxwO5TLsSyDJSKSMI06AJbZDBSEJcX56r+gezyf11KFF0XaN1SjRQ
+VGJHkqhzfX8PCQe1JvsfhW3a/EpppUI13SlS16rvoqMvE7aZaOOR1TaBxgPvsINk
+BV210m4PKZYU4nqAbVgkJL5O8dFcbw0MFuYpQvazRQFAC/Dz+ta6R3gJ3H5Avsuw
+UYfqCQJ4b8t+X5e4yHoUyJXw8gIxdwmmcJMZXweBzP/7DxGsxxu+3kUnYJV4sRQg
+BD4YYLWuz+1a3iS7XD8u
+=0WaO
+-----END PGP SIGNATURE-----
diff --git a/source/a/cryptsetup/cryptsetup.SlackBuild b/source/a/cryptsetup/cryptsetup.SlackBuild
index 9b874e2a4..17d7444df 100755
--- a/source/a/cryptsetup/cryptsetup.SlackBuild
+++ b/source/a/cryptsetup/cryptsetup.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright (c) 2007, 2009, 2010 Eric Hameleers <alien@slackware.com>
-# Copyright (c) 2007, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright (c) 2007, 2009, 2010 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2007, 2009, 2010, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -33,21 +33,21 @@
# -----------------------------------------------------------------------------
PKGNAM=cryptsetup
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -69,7 +69,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf cryptsetup-$VERSION
-tar xvf $CWD/cryptsetup-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/cryptsetup-$VERSION.tar.xz || exit 1
cd cryptsetup-$VERSION
chown -R root:root .
find . \
diff --git a/source/a/cryptsetup/slack-desc b/source/a/cryptsetup/slack-desc
index 1dd4eeca9..ac525cb84 100644
--- a/source/a/cryptsetup/slack-desc
+++ b/source/a/cryptsetup/slack-desc
@@ -15,7 +15,7 @@ cryptsetup: LUKS for dm-crypt is now implemented in cryptsetup replacing the
cryptsetup: original cryptsetup. It provides all the functionally of the
cryptsetup: original version plus all LUKS features.
cryptsetup:
-cryptsetup: cryptsetup home: http://code.google.com/p/cryptsetup/
+cryptsetup: cryptsetup home: https://gitlab.com/cryptsetup/cryptsetup
cryptsetup: